shared float4x4 World;
shared float4x4 View;
shared float4x4 Projection;

float3 diffuseColor;

float4 VertexShaderFunction(float4 Position : POSITION0) : POSITION0
{
    float4 output;

    float4 worldPosition = mul(Position, World);
    float4 viewPosition = mul(worldPosition, View);
    output = mul(viewPosition, Projection);

    return output;
}

float4 PixelShaderFunction() : COLOR0
{
	return float4(diffuseColor, 1);
}

technique Technique1
{
    pass Pass1
    {
        // TODO: set renderstates here.

        VertexShader = compile vs_1_1 VertexShaderFunction();
        PixelShader = compile ps_2_0 PixelShaderFunction();
    }
}
